Логотип   Простое и понятное управление
  Уникальные возможности по настройке
  Open Server скачали уже 1 016 092 раза!

Форум

Добро пожаловать, Гость!

PHP с поддержкой ZTS

Вопросы по работе с Apache, Nginx, PHP, MySQL, Sendmail и т.д.
kulaeff
Сообщения: 1
C нами: 1 год 8 мес

Непрочитанное сообщение kulaeff » 01 сен 2015, 12:30

Кто-нибудь знает, как установить модуль PThreads? PHP его не видит, т.к. в составе опенсервера нет пхп с поддержкой zts.

Аватара пользователя
Максим
Сообщения: 4868
C нами: 5 лет 11 мес
Контакты:

Непрочитанное сообщение Максим » 01 сен 2015, 12:41

kulaeff, дистрибутив PHP берется с офф. сайта, если там нет нужного вам модуля, то и в Open Server нет. Вам нужно самому пересобрать PHP с опцией "--enable-zts".

melihovv
Сообщения: 3
C нами: 1 год 3 мес

Непрочитанное сообщение melihovv » 27 янв 2016, 19:08

Вот тут посмотрите https://github.com/krakjoe/pthreads.
Нужно скачать две dll для windows и положить их в папку с модулем php7, одну из которых положить в папку расширений. Версия php7 которая есть в openserver уже потокобезопасна, так что пересобирать ничего не нужно. Ну и php.ini нужно дописать extension=php_pthreads.dll. И все будет работать (win7 x64).
Правда сервер запускается раз через раз. В логах апача пишет, что это все как раз из-за pthreads. Даже если сервер запускается, то ни один сайт все равно открыть нельзя. Может быть кто-нибудь знает, в чем дело?


Вернуться в «Модули и инструменты»

Кто сейчас на конференции

Сейчас этот форум просматривают: нет зарегистрированных пользователей и 0 гостей